from abc import ABC
from aiohttp.web_app import Application


class JsonRPCHandler(ABC):
    """
    Base class for handlers
    """

    def __init__(self, app_ctx: Application):
        self._app_ctx = app_ctx

    async def handle(self, payload: dict):
        """Handle request"""
